ValueError at .emi Loading

13 views
Skip to first unread message

Felix Utama

unread,
May 4, 2018, 7:24:24 AM5/4/18
to hyperspy-users
Hi all,

I received an error message output when I ran the following line to load a FEI STEM-EDX (.emi) file:
%matplotlib qt
import hyperspy.api as hs
import numpy as np
import matplotlib.pyplot as plt
s = hs.load("13.51.28 Spectrum image.emi")

This is the error message, with traceback pointing to files io.py and fei.py:
ValueError: setting an array element with a sequence.

Any advice to fix this issue would be much appreciated.

Cheers,
Felix


Francisco

unread,
May 9, 2018, 8:03:37 AM5/9/18
to hyperspy-users
It looks like a bug. To help us fixing it, could you report it in GitHub and share with us a file to reproduce the issue?

Thanks!

Francisco

Eric Prestat

unread,
May 9, 2018, 12:53:55 PM5/9/18
to hyperspy-users
This seems to be the same issue as the one discussed in https://github.com/hyperspy/hyperspy/issues/1928.

Eric
Reply all
Reply to author
Forward
0 new messages